bugzilla.mozilla.org has resumed normal operation. Attachments prior to 2014 will be unavailable for a few days. This is tracked in Bug 1475801.
Please report any other irregularities here.

[Test Agent App] Remove or fix it from gaia builds

RESOLVED INVALID

Status

Firefox OS
Gaia
RESOLVED INVALID
6 years ago
5 years ago

People

(Reporter: GH to BZ, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [label:mozapps][label:system])

(Reporter)

Description

6 years ago
[GitHub issue by tonychung on 2012-06-07T04:59:18Z, https://github.com/mozilla-b2g/gaia/issues/1601]
We should remove or fix The Test Agent App that comes with gaia builds.   It currently just launches a page not found error.

screenshot: http://i.imgur.com/NZdJ7.jpg

## Environment
* SGS2, build 2012-06-06
* Gaia commit: 356f6580cb015885...

## Repro
1. Launch Test Agent App
2. Verify page not found.

## Expected:
* Test Agent app works

## Actual:
* page not found.   we should remove it or fix the page.
(Reporter)

Comment 1

6 years ago
[GitHub comment by lightsofapollo on 2012-06-07T05:34:45Z]
We should remove it from prod builds. I could probably get it to work with
app cache but even if it did we would not want it bundled with the core
apps.

On Wed, Jun 6, 2012 at 9:59 PM, Tony Chung <
reply@reply.github.com
> wrote:

> We should remove or fix The Test Agent App that comes with gaia builds.
> It currently just launches a page not found error.
>
> screenshot: http://i.imgur.com/NZdJ7.jpg
>
> ## Environment
> * SGS2, build 2012-06-06
> * Gaia commit: 356f6580cb015885...
>
> ## Repro
> 1. Launch Test Agent App
> 2. Verify page not found.
>
> ## Expected:
> * Test Agent app works
>
> ## Actual:
> * page not found.   we should remove it or fix the page.
>
> ---
> Reply to this email directly or view it on GitHub:
> https://github.com/mozilla-b2g/gaia/issues/1601
>
(Reporter)

Comment 2

6 years ago
[GitHub comment by tonychung on 2012-06-07T05:41:10Z]
yep, i agree; just remove this app.  in fact, i've raised the suggestion to remove All apps that are not part of the core V1 list.  (Crystal skull, cubevid, penguin Pop)   

There was the question on keeping apps that are useful for demos.   It's best to just fork a demo branch or just have a few test phones around for that.
(Reporter)

Comment 3

6 years ago
[GitHub comment by lightsofapollo on 2012-06-07T05:43:26Z]
We keep some of them around for testing purposes (like we wouldn't have
known WebGL was broken if we did not bundle Crystal skull).

We should opt to have some 'production' build which will only contain core
apps.

On Wed, Jun 6, 2012 at 10:41 PM, Tony Chung <
reply@reply.github.com
> wrote:

> yep, i agree; just remove this app.  in fact, i've raised the suggestion
> to remove All apps that are not part of the core V1 list.  (Crystal skull,
> cubevid, penguin Pop)
>
> There was the question on keeping apps that are useful for demos.   It's
> best to just fork a demo branch or just have a few test phones around for
> that.
>
> ---
> Reply to this email directly or view it on GitHub:
> https://github.com/mozilla-b2g/gaia/issues/1601#issuecomment-6169245
>
(Reporter)

Comment 4

6 years ago
[GitHub comment by mvines on 2012-06-09T05:38:02Z]
With the GAIA_APP_SRCDIRS stuff that just landed in Makefile, we could now break out the test apps into a seperate subdir.  Then from Android.mk, exclude the test apps when not an -eng build (TARGET_BUILD_VARIANT macro)
Please do _not_ remove test-agent, I don't know what that state of it is for production usage but its only intended to be used by developers. 

It launches the unit tests. Same thing with UI tests its essential during development useless otherwise. We should have the capability of doing this now easily with the make tasks. We can pref them off for nightly builds if that is an issue.
We need to keep this app, and can exclude apps via GAIA_APP_SRCDIRS. There is also some discussion about how to package these apps, and possibly external apps via download, but that will be tracked in a different bug.
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.